Bug 209992 - security/opencryptoki: build fails if OpenLDAP library is installed
Summary: security/opencryptoki: build fails if OpenLDAP library is installed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Sato
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-06-03 10:56 UTC by luca.pizzamiglio
Modified: 2016-06-10 18:46 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (hrs)


Attachments
The patch to disable the icsf token support (475 bytes, patch)
2016-06-03 10:56 UTC, luca.pizzamiglio
vlad-fbsd: maintainer-approval? (hrs)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description luca.pizzamiglio 2016-06-03 10:56:38 UTC
Created attachment 170976 [details]
The patch to disable the icsf token support

If OpenLDAP is installed, the icsf token (Integrated Cryptographic Service Facility) is built, adding a subdirectory in ${STAGEDIR}/var/run/opencryptoki.

The post-install target fails, because ${STAGEDIR}/var/run/opencryptoki is not empty.

The attached patch disables the icsf token support, as possible solution.
Comment 1 luca.pizzamiglio 2016-06-03 11:04:23 UTC
I did a mess with the maintainer-approval flags, sorry.
Obviously, the requestee is hrs@, but I cannot delete the wrong flags.
Comment 2 VK freebsd_triage 2016-06-06 23:42:11 UTC
Comment on attachment 170976 [details]
The patch to disable the icsf token support

Fixed. :)
Comment 3 commit-hook freebsd_committer 2016-06-10 18:24:21 UTC
A commit references this bug:

Author: hrs
Date: Fri Jun 10 18:24:09 UTC 2016
New revision: 416685
URL: https://svnweb.freebsd.org/changeset/ports/416685

Log:
  Fix dependency and build of ICSF token support.  The configure script
  enabled the build when libldap was found.

  Spotted by:	luca.pizzamiglio@gmail.com
  PR:		209992

Changes:
  head/security/opencryptoki/Makefile
  head/security/opencryptoki/files/pkcsslotd.in
  head/security/opencryptoki/pkg-plist
Comment 4 Hiroki Sato freebsd_committer 2016-06-10 18:46:22 UTC
Fixed, thanks!